---
search:
  tags:
    - Segments
    - GET
seo:
  description: >-
    Newest first, with cursor pagination: after takes the last id of a page and
    pages toward… Reference for the GET /segments endpoint in the BillionSend
    API.
sidebar:
  label: List segments
  badge: GET
title: List segments
type: openapi-operation
---
Newest first, with cursor pagination: `after` takes the last id of a page and pages toward older items, `before` takes the first id and pages back toward newer ones.

`GET /segments`

**Responses**

- `200` — Segments
- `401` — Missing, malformed, unknown or revoked API key
- `422` — Validation error
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "object": "list",
  "data": [
    {
      "object": "segment",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "domain_id": "b2f7354f-b74d-4332-ab10-1a5e3c56466c",
      "filter": {
        "match": "all",
        "conditions": [
          {
            "field": "string",
            "op": "string",
            "value": "string"
          }
        ]
      },
      "created_at": "string"
    }
  ],
  "has_more": true
}
```
